Bulk Update Records
PUT /ws/rest/service/v2/bp/record/bulk
Purpose
To update the upper form details of Simple and Line Item Non-Workflow BP records.
Note:
- Single-Record Business Processes (BPs) and Line Items with Configurable Modules are not supported.
- When you use Bulk Create or Bulk Update, you start by exporting the BP design structure to a Microsoft Excel or CSV file and then populating the required fields. If you leave a Data Picker Data Element (DE) field blank that is configured to Auto Populate, the system completes the field when you run a Bulk Create; however, it does not complete the field when you run a Bulk Update. To reduce confusion and maintain consistency for both Bulk Create and Bulk Update, the system uses the Excel or CSV file to populate the Data Picker field if the field is excluded from the Integration Form for the BP design.
- You cannot modify the BP Data Picker alone if it has an associated Line Item Data Picker value. You must provide both the BP Data Picker value and BP Line Item Data Picker value to modify any one of them.
Request Format
Note:
- Field properties such as read-only in step form are retained. Mandatory fields in the step form must be present in the Integration Form with Direction set as Both or Input.
- Field direction provided in the Integration form is retained.
- In input JSON options, "project_number" specifies the shell where the records exists. If the "project_number" is not provided, the records are assumed to be at the company level.
- The "record_no" is mandatory and included in the data.
- The "bpname" is mandatory and included in the options form parameter.
- The system validates whether the selected user's company exists. If not, the Partner Company is added as a Member Company.
Response Format
A JSON object is returned in the following format.
{
"data": [],
"message": [],
"status": <REST status code value>
}
A successful response displays a status code 200.
A failed response displays a message with a status code.
Sample Request For Bulk Update Records
{
"options":{
"bpname" : "Simple_bp",
"project_number" :"P-0002"
},
"data": [
{ "ugenAmountCA":600.0, "unameofAgentDPK": "vendor_002", "record_no":"uxsim02-0000" },
{ "ugenAmountCA":600.0, "unameofAgentDPK": "vendor_002", "record_no":"uxsim02-0001" },
{ "ugenAmountCA":600.0, "unameofAgentDPK": "vendor_002", "record_no":"uxsim02-0002" }
]
}
Sample Success Response For Bulk Update Records
{
"data": [ ],
"message": [ "success" ],
"status":200
}